# List of product alternative products

Returns list of alternative products related to product defined by
guid, list is ordered by priority parameter.

If Pair reciprocally option (Settings > Product > Related and
Alternative products) is enabled, list of

items will be enriched by items that has called product in own
alternative table.

Endpoint: GET /api/products/{guid}/alternativeProducts
Version: 1.0.0
Security: shoptetAccessToken, shoptetPrivateApiToken

## Path parameters:

  - `guid` (string, required)
    Product guid
    Example: "93bc0dbe-7481-11e8-8216-002590dad85e"

## Query parameters:

  - `visible` (boolean)
    If set to true, only visible products are returned (those, which does not have visibility: hidden)
    Example: true

## Header parameters:

  - `Content-Type` (string, required)

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.items` (array, required)

  - `data.items.guid` (string, required)
    related product identifier

  - `data.items.priority` (integer, required)
    Priority of product in related products list

  - `data.items.visibility` (string)
    visibility of product (normal, hidden ...) - see also [Product visibility](#section/code-lists/product-visibility) code list

  - `data.items.linkType` (string)
    Type of the link to the product. Defines if the product is paired physically or reciprocally.

  - `errors` (array,null, required)

  - `errors.errorCode` (string, required)
    Short text error identification

  - `errors.message` (string, required)
    Descriptive error message

  - `errors.instance` (string, required)
    Identification of the entity referenced

  - `metadata` (object, required)

  - `metadata.requestId` (string, required)
    Request identifier. Useful for logging/reporting purposes.


